<?php
/**
 * @param: $post_id: int | null
 */
function get_category_link_as_html_of_post($post_id = null) {
    $category_link_as_html = '<div>';
    $category_detail_list = $post_id !== null ? get_the_category($post_id) : get_the_category(); 

    $index = 0;
    $category_list_length = count($category_detail_list) - 1;
    foreach($category_detail_list as $category) {
        $me = $index === $category_list_length ? 'me-0' : 'me-1';
        $category_link_as_html .= '<a class="btn manzivip-chip manzi-hb-br-dark-1 manzi-rounded-30 manzi-fs-small-6-5 text-decoration-none d-inline-block '.$me.'" href="'. get_category_link($category->cat_ID) .'" rel="nofollow">'.esc_html($category -> name).'</a>';
        $index++;
    }
    $category_link_as_html .= '</div>';
    
    return $category_link_as_html;
}
?>
