<?php
/**
 * @param $sns_url is like 'https://youtube.com/'
 * @param $sns_type is in 'facebook', 'line', 'twitter', 'youtube'
 */
function get_sns_rounded_icon($sns_url, $sns_type) {

    if ($sns_type !== TWITTER && $sns_type !== INSTAGRAM && $sns_type !== LINE && $sns_type !== YOUTUBE) return D_NONE_DIV_ELEMENT;

    $sns_rounded_icon = '
    <a class="d-block manzivip-icon-button position-relative rounded-circle" href="'.$sns_url.'">
        <div class="position-absolute top-50 start-50 translate-middle">
            <i class="fab fa-'.$sns_type.'"></i>
        </div>
    </a>';
    return $sns_rounded_icon; 
}
?>
