<?php
// This extract is required
$obj_of_manzi_settings = get_option(MS); 
if ($obj_of_manzi_settings) {
  extract($obj_of_manzi_settings);
}
?>
<!DOCTYPE HTML>
<html lang="ja">
  <head>
    <meta charset="UTF-8">
    <title><?php echo get_title_element(); ?></title>
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <?php wp_head(); ?>
    <!-- Manzi Theme Google Tags Start -->
    <?php
      echo get_google_analytics_tag($google_analytics_code);
      echo get_google_search_console_tag($google_search_console_code);
    ?>
    <!-- Manzi Theme Google Tags End -->
    <?php echo get_manzi_before_close_head_tag();?>
  </head>
  <body class="mt-3 mt-sm-4 container-xxl px-3 px-md-3 px-lg-5">
    <?php
      $blog_name = get_bloginfo('name');
    ?>

    <header class="d-none d-sm-flex justify-content-center align-items-center mb-5">
      <div class="d-flex justify-content-center align-items-center">
        <a class="text-decoration-none" href="<?php echo home_url(); ?>">
          <h1 id="manzivip-site-title" class="fs-2 fw-bold text-center lh-base mb-0">
            <?php echo $blog_name; ?>
          </h1>
        </a> 
      </div>
    </header>

    <header class="d-flex d-sm-none justify-content-center align-items-center mb-5">
      <a class="text-decoration-none" href="<?php echo home_url(); ?>">
        <h1 id="manzi-site-title" class="fs-2 fw-bold text-center mb-0">
          <?php echo $blog_name; ?>
        </h1>
      </a> 
    </header>
