<?php
// Parent element must be row
function get_article_card() {

    $element_id = get_the_ID();
    $href_permalink = get_the_permalink();
    $thumb_img_large = get_thumb_img('large');
    $the_time_as_html = get_the_time('Y/m/d');
    $the_modified_data_as_html = get_the_modified_date('Y/m/d');
    $the_title_as_escaed_html = get_the_title();
    $a_href_thum_img = '<a href="'.$href_permalink.'" rel="nofollow">'.$thumb_img_large.'</a>';

    $categories_html = get_category_link_as_html_of_post();

    $article_card = '
        <article id="post-'.$element_id.'" class="col-12 col-md-6 col-xl-4 mb-2 mb-sm-4">
            <div class="manzivip-article-card manzi-rounded-5 h-100 overflow-hidden">
                <div class="manzi-hb-br-dark-1 mb-2">'.$a_href_thum_img.'</div>
                <div class="px-1">'.$categories_html.'</div>
                <div class="px-2"><div class="d-flex flex-wrap justify-content-start manzivip-date-section mt-1 mb-0"><div class="d-flex align-items-center me-1">'.$the_time_as_html.'</div><div class="d-flex align-items-center">'.$the_modified_data_as_html.'</div></div><div class="pb-1"><h2 class="fw-bold fs-6 mb-1 mb-sm-2 mt-1"><a class="w-100 d-block manzi-hb-text-main-color text-decoration-none" href="'.$href_permalink.'">'.esc_html($the_title_as_escaed_html).'</a></h2></div></div>
            </div>
        </article>
    ';

    return $article_card;
}
?>
