<?php
function get_thumb_img(string $size = 'full') {

  $thumb_id = get_post_thumbnail_id();
  $thumb_img = wp_get_attachment_image_src($thumb_id, $size);
  $thumb_src = is_array($thumb_img) ? $thumb_img[0] : '';
  $thumb_alt = get_the_title();
  
  if ($thumb_src == '') {
    return '';
  }
  
  return '<img src="'.$thumb_src.'" loading="lazy" alt="'.$thumb_alt.'">';
}
?>
