<?php
function get_sns_share_buttons(string $shared_url) {

    $twitter_share_url = 'https://twitter.com/share?url='.$shared_url;
    $line_share_url = 'https://social-plugins.line.me/lineit/share?url='.$shared_url;
    $facebook_share_url = 'https://www.facebook.com/share.php?u='.$shared_url;

    $sns_buttons = '
        <div class="d-flex flex-wrap mb-2">
            <a class="manzivip-icon-button" href="'.$twitter_share_url.'" target="_blank" rel="nofollow noopener">
                <i class="fab fa-twitter"></i>
            </a>
            <a class="manzivip-icon-button" href="'.$line_share_url.'" target="_blank" rel="nofollow noopener">
                <i class="fab fa-line"></i>
            </a>
            <a class="manzivip-icon-button" href="'.$facebook_share_url.'" target="_blank" rel="nofollow noopener">
                <i class="fab fa-facebook"></i>
            </a>
        </div>
    ';
    return $sns_buttons;
}
?>
